Subject: bug#50569: 28.0.50; [native-comp] emacs-lisp-native-compile-and-load does not load require'd files before compiling

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Aug 2022 12:59:12 +0200

Adam Porter <[email-masked]> writes:

> I'm afraid I don't have time to test that myself right now.  If you were
> unable to reproduce it with the recipe I provided, I'd guess that it's
> been solved in version 29.
>
> If it's possible to backport a fix to version 28, that would be
> good,

I can't reproduce it in Emacs 28, either, so I guess this was fixed
before the release.

So I'm closing this bug report, but if you see still see this (perhaps
there's something missing in the recipe or something), please respond to
the debbugs address and we'll reopen.